Skip to main content
`Ctrl`+`K`

# SNESGetNGS

Returns the function and context set with `SNESSetNGS()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetNGS(SNES snes, SNESNGSFn **f, void **ctx)

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- f - the function (or `NULL`) see `SNESNGSFn` for calling sequence

- ctx - the function context (or `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNESSetNGS()`, `SNESGetFunction()`, `SNESNGSFn`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages